std::__atomic_flag_base(3cxx)

NAME
std::__atomic_flag_base - Base type for atomic_flag.

SYNOPSIS

#include <atomic_base.h>

Inherited by std::atomic_flag.

  Public Attributes

__atomic_flag_data_type _M_i

Detailed Description

Base type for atomic_flag.

Base type is POD with data, allowing atomic_flag to derive from it and meet the standard layout type requirement. In addition to compatibility with a C interface, this allows different implementations of atomic_flag to use the same atomic operation functions, via a standard conversion to the __atomic_flag_base argument.

Author

Generated automatically by Doxygen for libstdc++ from the source code.